# generated by datamodel-codegen:
#   filename:  storage_blob_created.json
#   timestamp: 2022-06-20T07:55:08+00:00

from __future__ import annotations

from urllib.parse import urlparse

from pydantic import BaseModel, ValidationError, validator

from az_evgrid_pydantic_schema.base import EventGridBase


class StorageDiagnostics(BaseModel):
    batchId: str


class StorageBlobCreatedData(BaseModel):
    api: str
    clientRequestId: str
    requestId: str
    eTag: str
    contentType: str
    contentLength: int
    blobType: str
    url: str
    sequencer: str
    storageDiagnostics: StorageDiagnostics

    @validator("url")
    def url_must_url_safe(cls, v):
        try:
            result = urlparse(v)
            if all([result.scheme, result.netloc]):
                return v
        except:
            raise ValueError("its not url safe")


class StorageBlobCreatedEvent(EventGridBase):
    data: StorageBlobCreatedData

    @property
    def blob_name(self):
        return self.data.url.split("/")[-1].split("?")[0]

    @property
    def container_name(self):
        return self.data.url.split("/")[-2].split("?")[0]

    @property
    def account_url(self):
        result = urlparse(self.data.url)
        return f"{result.scheme}://{result.netloc}/"
